#include <stdio.h>
#include <stdlib.h>
#include <math.h>
    long long int a[100000000];
int main()
{

   long long int N,K,i,j,t;


        scanf("%lli",&N);
        scanf("%lli",&K);
    if(N<1)
        return 0;
   for(i=0;i<N;i++){
        scanf("%lli",&a[i]);
   }
   for(i=0;i<N-1;i++)
    for(j=i+1;j<N;j++)
     if(a[i]>a[j])
        {
            t=a[i];
            a[i]=a[j];
            a[j]=t;

        }
    if(abs(K-a[0]) <= abs(K-a[N-1]))
        printf("%lli",abs(K-a[0])+a[N-1]-a[0]);
    if(abs(K-a[0]) >= abs(K-a[N-1]))
        printf("%lli",(abs(K-a[N-1]))+(a[N-1]-a[0]));
















    return 0;
}